{% extends 'base.html' %}

{% block title %}
My Recipes
{% endblock %}

{% block content %}
<main>
  <div>
    <h1>My recipes</h1>
    <br>
    <table class="pantry-table">
      <thead>
        <th>Title</th>
        <th>Main Ingredient</th>
      </thead>
      <tbody>
        {% for recipe in recipes %}
        <tr>
          <td><a href="{% url 'recipe_detail' recipe.id %}">{{ recipe.name }}</a></td>
          <td>{{ recipe.main_ingredient }}</td>
        </tr>
        {% endfor %}
      </tbody>
    </table>
    <button class="new-button" onclick="window.location.href='{% url 'create_recipe' %}';">New Recipe</button>
  </div>
</main>
{% endblock content %}
